/*
 *  html.h
 *  mod_musicindex
 *
 *  $Id: html.h 1005 2012-07-31 12:54:59Z varenet $
 *
 *  Created by Thibaut VARENE on Thu Mar 20 2003.
 *  Copyright (c) 2003-2004 Regis BOUDIN
 *  Copyright (c) 2003-2004 Thibaut VARENE
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License version 2.1,
 *  as published by the Free Software Foundation.
 *
 */

#ifndef HTML_H
#define HTML_H

#include "mod_musicindex.h"

#define MAX_PREFIX	512	/**< Maximum expected size of the URL "prefix" (user\@host stuff). */

void send_head(request_rec *);
void send_directories(request_rec *, const mu_pack *const);
void send_tracks(request_rec *, const mu_pack *const);
void send_customlist(request_rec *, const mu_pack *const);
void send_playlist(request_rec *, const mu_pack *const);
void send_rss(request_rec *, const mu_pack *const);
void send_randomdir(request_rec *);
void send_foot(request_rec *, const STRUCTTV *, const STRUCTTV *);
	
#endif	/* HTML_H */
